Daemon Power

The NetBSD Packages Collection: databases/libdbi-driver-mysql

Brief description of the package:
MySQL driver for libdbi, a database abstraction

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://libdbi-drivers.sourceforge.net/.

Please note that this package has a gnu-lgpl-v2.1 license.

The package is located in the "databases/libdbi-driver-mysql" directory. The current source version of the package is "libdbi-driver-mysql-0.9.0". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for databases/libdbi-driver-mysql :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: libdbi>=0.8.3 cwrappers>=20150314 mysql-client>=5.7.12<5.8 perl>=5.0 editline>=3.0.20130712nb1 lz4>=1.7.3<100 boost-libs-1.69.* icu>=3.4 icu>=62.1 boost-jam-1.69.* lz4>=1.7.3 boost-libs>=1.69.0 boost-headers-1.69.* mysql-client>=5.7.12 .

This package requires the following package(s) to run: libdbi>=0.8.3 mysql-client>=5.7.12<5.8 perl>=5.0 editline>=3.0.20130712nb1 lz4>=1.7.3<100 boost-libs-1.69.* icu>=3.4 icu>=62.1 lz4>=1.7.3 boost-libs>=1.69.0 mysql-client>=5.7.12 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:libdbi-driver-mysql-0.8.3.1nb4.tgz(NetBSD 7.0)
alpha:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
alpha:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
earm:libdbi-driver-mysql-0.8.3.1nb4.tgz(NetBSD 7.0)
earm:libdbi-driver-mysql-0.8.3.1nb4.tgz(NetBSD 7.0)
earmv6hf:libdbi-driver-mysql-0.8.3.1nb4.tgz(NetBSD 7.0)
earmv6hf:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
earmv6hf:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
earmv7hf:libdbi-driver-mysql-0.8.3.1nb4.tgz(NetBSD 7.0)
earmv7hf:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
earmv7hfeb:libdbi-driver-mysql-0.8.3.1nb4.tgz(NetBSD 7.0)
i386:libdbi-driver-mysql-0.9.0.tgz(NetBSD 6.0)
i386:libdbi-driver-mysql-0.9.0.tgz(NetBSD 6.0)
i386:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.0)
i386:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.1)
i386:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
i386:libdbi-driver-mysql-0.8.3.1nb2.tgz(QNX 6.5.0)
powerpc:libdbi-driver-mysql-0.9.0.tgz(NetBSD 6.1)
powerpc:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.1)
powerpc:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.1)
powerpc:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
powerpc:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
powerpc:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
sparc64:libdbi-driver-mysql-0.8.3.1nb4.tgz(NetBSD 7.0)
sparc64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 6.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 6.1)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.0.1_PATCH)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.1)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.1)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.1)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 7.1)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.0)
x86_64:libdbi-driver-mysql-0.9.0.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]